import { OnInit } from '@angular/core';
import { ViewConfig } from '@spartacus/storefront';
import { BehaviorSubject } from 'rxjs';
import { CustomSearchService } from '../services/search.service';
import * as i0 from "@angular/core";
export declare class CustomSearchComponent implements OnInit {
    protected config: ViewConfig;
    private searchService;
    isDesktop: boolean;
    storeFrontUrl: string;
    occBaseUrl: string;
    viewAllSearchQuery: any;
    showViewAllSearchResultsBtn: any;
    products: any;
    isShowSearchResults: boolean;
    resetedButton: boolean;
    categoryCode: any;
    isNoResultsMsg: BehaviorSubject<boolean>;
    searchResultProductData: BehaviorSubject<any>;
    searchResultContentData: BehaviorSubject<any>;
    autoCompleteLoad$: BehaviorSubject<boolean>;
    closebutton: any;
    searchField: any;
    constructor(config: ViewConfig, searchService: CustomSearchService);
    onKeydownHandler(event: KeyboardEvent): void;
    ngOnInit(): void;
    globalSearch(event: any): void;
    clearResults(): void;
    submitResults(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomSearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomSearchComponent, "app-custom-search", never, {}, {}, never, never>;
}
