import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ActiveCartService, MultiCartService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs/internal/BehaviorSubject';
import { SaveCartService } from '../../custom-saved-cart/save-cart.service';
import * as i0 from "@angular/core";
export declare class SavedCartPopupComponent implements OnInit {
    private formBuilder;
    service: SaveCartService;
    private activeCartService;
    protected multiCartService: MultiCartService;
    submitted: boolean;
    customSaveCardData?: any;
    savedCartDialog: {
        savedCarForTitle: string;
        savedCartName: string;
        savedCartNameValidation: string;
        description: string;
        optional: string;
        descriptionLength: string;
        edit: string;
        cancel: string;
        confirm: string;
    };
    saveCardForm: FormGroup;
    closebutton: any;
    showWaitCursor: BehaviorSubject<boolean>;
    constructor(formBuilder: FormBuilder, service: SaveCartService, activeCartService: ActiveCartService, multiCartService: MultiCartService);
    ngOnInit(): void;
    get f(): {
        [key: string]: import("@angular/forms").AbstractControl;
    };
    isNullOrEmpty(value: any): boolean;
    saveOrEditCart(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SavedCartPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SavedCartPopupComponent, "app-saved-cart-popup", never, { "customSaveCardData": "customSaveCardData"; }, {}, never, never>;
}
