import { ChangeDetectorRef, OnInit } from '@angular/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { CmsNavigationComponent, CmsService } from '@spartacus/core';
import { CategoryNavigationComponent, CmsComponentData, NavigationService } from '@spartacus/storefront';
import { BehaviorSubject, Subscription } from 'rxjs';
import { AccountDropdownStateService } from '../../services/account-dropdown-state.service';
import * as i0 from "@angular/core";
export declare class CustomNavigationComponent extends CategoryNavigationComponent implements OnInit {
    private cmsService;
    private modalService;
    cd: ChangeDetectorRef;
    accDropService: AccountDropdownStateService;
    customMenuItems: any;
    serviceSubscribe: Subscription;
    isMobile: boolean;
    isTablet: boolean;
    isDesktop: boolean;
    AllProducts: any;
    subCategory: any;
    MyAccount: any;
    quickOrder: any;
    display: string;
    modalRef: any;
    homeIconData: any;
    searchIconData: boolean;
    showWaitCursor: BehaviorSubject<boolean>;
    constructor(cmsService: CmsService, modalService: NgbModal, componentData: CmsComponentData<CmsNavigationComponent>, cd: ChangeDetectorRef, accDropService: AccountDropdownStateService, service: NavigationService);
    ngOnInit(): void;
    navMenuList(): void;
    routeURL(url: any): void;
    landingPageRouting(): void;
    getChild(children: any): void;
    onResize(event: any): void;
    onPageRefresh(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomNavigationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomNavigationComponent, "app-custom-navigation", never, {}, {}, never, never>;
}
