import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { RoutingService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { SaveCartService } from '../../custom-saved-cart/save-cart.service';
import * as i0 from "@angular/core";
export declare class ActiveSavedCartComponent implements OnInit {
    cd: ChangeDetectorRef;
    service: SaveCartService;
    routing: RoutingService;
    private formBuilder;
    closebutton: any;
    savedCartList: {
        savedCarts: string;
        cartName: string;
        nameofCart: string;
        dateSaved: string;
        quantity: string;
        total: string;
        actions: string;
        cancel: string;
        delete: string;
        confirm: string;
        makeCartActive: string;
        cartDescription: string;
        makeCartDelete: string;
        makeCartBacktoSave: string;
        retainCopyTxt: string;
        readmore: string;
        restoredCart: string;
    };
    makeCartActiiveForm: FormGroup;
    makeActiveData: any;
    descriptionLength: boolean;
    nameMaxLength: number;
    cloneRecord: boolean;
    cartName: string;
    showWaitCursor: BehaviorSubject<boolean>;
    makeCartActiveForm: any;
    selectedCartId: number;
    isDeletePopup?: boolean;
    closedPopup: EventEmitter<any>;
    constructor(cd: ChangeDetectorRef, service: SaveCartService, routing: RoutingService, formBuilder: FormBuilder);
    ngOnInit(): void;
    get f(): any;
    goToSavedCartDetails(): void;
    markForActive(): void;
    closeMethod(): void;
    changeRetainCopy(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActiveSavedCartComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActiveSavedCartComponent, "app-active-saved-cart", never, { "makeActiveData": "makeActiveData"; "selectedCartId": "selectedCartId"; "isDeletePopup": "isDeletePopup"; }, { "closedPopup": "closedPopup"; }, never, never>;
}
