import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { CmsBreadcrumbsComponent, CmsService, PageMetaService, TranslationService } from '@spartacus/core';
import { CmsComponentData, PageTitleComponent } from '@spartacus/storefront';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CustomBreadcrumComponent extends PageTitleComponent implements OnInit {
    component: CmsComponentData<CmsBreadcrumbsComponent>;
    route: Router;
    private cms;
    private translation;
    protected pageMetaService: PageMetaService;
    crumbs$: Observable<any[]>;
    pageState: any;
    previousUrl: string;
    currentUrl: string;
    navigateUrl: any;
    modalRef: any;
    customCrumbData?: any;
    constructor(component: CmsComponentData<CmsBreadcrumbsComponent>, route: Router, cms: CmsService, translation: TranslationService, pageMetaService: PageMetaService);
    ngOnInit(): void;
    private setCrumbs;
    goToHome(url: any): void;
    goToUrl(url: any, index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomBreadcrumComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomBreadcrumComponent, "app-custom-breadcrum", never, { "customCrumbData": "customCrumbData"; }, {}, never, never>;
}
